//app.js
App({
  onLaunch: function () {
    this.getUpdateReady()
  },
  onShow: function (e) {
    //console.log(e)
    if (e.scene == 1037) {
      wx.reportAnalytics('source_applet', {
        source_app_id: e.referrerInfo.appId,
      });
    }
  },
  //自动检测更新
  getUpdateReady: function () {
    wx.getUpdateManager().onUpdateReady(function () {
      wx.showModal({
        title: '更新提示',
        content: '新版本已经准备好，是否重启应用？',
        showCancel: false,
        success: function (res) {
          if (res.confirm) {
            // 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
            updateManager.applyUpdate()
          }
        }
      })
    })
  },

  globalData: {
    city:'广州'
  }
})