Component({
  data: {
    selected: 0,
    color: "#999999",
    selectedColor: "#5674F0",
    list: [
      {
        pagePath: "/pages/home/index",
        text: "个人服务",
        iconPath: "/icon/tabbar/shouye_normal.png",
        selectedIconPath: "/icon/tabbar/shouye_selected.png"
      },
      {
        pagePath: "/pages/mine/mine",
        text: "我的",
        iconPath: "/icon/tabbar/wode_normal.png",
        selectedIconPath: "/icon/tabbar/wode_selected.png"
      }
    ]
  },
  attached() {
  },
  methods: {
    switchTab(e) {
      const data = e.currentTarget.dataset
      const url = data.path
      wx.switchTab({ url })
      this.setData({
        selected: data.index
      })
    }
  }
})