// pages/home/detail/detail.js
const app = getApp()
const url = require('../../../utils/url.js')
var call = require("../../../utils/net.js")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: null,//内容详情的ID
    title:'',
    detail:''
  },
  //跳转纠错
  tocorrection:function(){
    let id = this.data.id
    wx.navigateTo({
      url: '/pages/home/correction/correction?id='+id,
    })
  },
  //返回首页
  backhome:function(){
    wx.switchTab({
      url: '/pages/home/index',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    
    var that = this;
    wx.setNavigationBarTitle({
      title: '详情'
    })

    //请求城市的政务标题列表
    call.request(url.host + url.getContent,
      { id: options.id },
      res => {
        //console.log(res)
        if(res.data.data.length != 0 ){
          that.setData({
            id: options.id,
            title: options.title,
            detail: res.data.data
          })
        }else{
          wx.showModal({
            title: '提示',
            content: '小微正在马不停蹄补充这项内容，敬请期待！',
            showCancel:false,
            success(res) {
              if (res.confirm) {
                wx.navigateBack({
                  delta: 1
                })
              }
            }
          })
        }
      },
      res => {
        console.log(res)
      })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})