// pages/home/problem/problem.js
const app = getApp()
const util = require('../../../utils/util.js')
const url = require('../../../utils/url.js')
var call = require("../../../utils/net.js")
Page({
  /**
   * 页面的初始数据
   */
  data: {
    question: {
      range: null
    }
  },

  //查看详情要进行授权
  getUserInfo(e) {
    console.log(e)
    let ids = e.currentTarget.dataset.ids;
    let title = e.currentTarget.dataset.title;
    var userId = wx.getStorageSync('userId');

    if (userId) {
      wx.navigateTo({
        url: '/pages/home/detail/detail?id=' + ids + '&title=' + title,
      })
    } else {

      if (e.detail.errMsg == 'getUserInfo:ok') {
        let reqData = {
          'signature': e.detail.signature,
          'rawData': e.detail.rawData
        }
        wx.login({
          success(res) {
            if (res.code) {
              let code = res.code
              reqData['code'] = code
              call.request(url.host + url.login,
                { code: res.code },
                res => {
                  //console.log(res.data)
                  wx.setStorageSync('userId', res.data.data); //将userId存入本地缓存
                  if (res.data.code == 200) {
                    call.request(url.host + url.getuserinfo,
                      reqData,
                      res => {
                        wx.navigateTo({
                          url: '/pages/home/detail/detail?id=' + ids + '&title=' + title,
                        })
                        console.log(res)
                      },
                      res => {
                        console.log(res)
                      })
                  } else {
                    wx.showToast({
                      icon: 'none',
                      title: res.data.msg,
                    })
                  }
                },
                res => {
                  console.log(res)
                })
            } else {
              console.log('登录失败！' + res.errMsg)
            }
          }
        })
      } else if (e.detail.errMsg == 'getUserInfo:fail auth deny') {
        wx.showToast({
          icon: 'none',
          title: '授权失败！',
        })
      }

    }

  },
  toproblem:function(e){
    let ids = e.currentTarget.dataset.ids;
    wx.navigateTo({
      url: '/pages/home/detail/detail?id='+ids,
    })
  },
  //返回首页
  backhome: function () {
    wx.switchTab({
      url: '/pages/home/index',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    wx.setNavigationBarTitle({
      title: options.title
    });
    let ids = options.ids;
    call.request(url.host + url.cityTitlt,//请求城市的政务标题列表
      { typeId: ids, city: app.globalData.city },
      res => {
        //console.log(res)
        let range = "question.range"
        that.setData({
          [range]: res.data.data
        })
      },
      res => {
        console.log(res)
      })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})