var app = getApp()

var header = {
  'content-type': 'application/x-www-form-urlencoded',
  // 'X-UA': sysT.sysInfo().system.indexOf("iOS") == 0 ? 'xcx_iOS#22' : 'xcx_Android#22'
}

/**
 * POST请求，
 * URL：接口
 * postData：参数，json类型
 * doSuccess：成功的回调函数
 * doFail：失败的回调函数
 */
function request(url, postData, success, fail) {
  wx.request({
    //项目的真正接口，通过字符串拼接方式实现
    url: url,
    header: header,
    data: postData,
    method: 'POST',
    success (res) {
      success(res)
    },
    fail (res) {
      fail(res)
    }
  })
}

//GET请求，不需传参，直接URL调用，
function getData(url, success, fail) {
  wx.request({
    url: url,
    header: header,
    method: 'GET',
    success(res){
      success(res)
    },
    fail(res){
      fail(res)
    }
  })
}
/**
 * module.exports用来导出代码
 * js文件中通过var call = require("../util/request.js")  加载
 * 在引入引入文件的时候"  "里面的内容通过../../../这种类型，小程序的编译器会自动提示，因为你可能
 * 项目目录不止一级，不同的js文件对应的工具类的位置不一样
 */
module.exports.request = request;
module.exports.getData = getData;